import QtQuick 1.1

Item {
    id: score;
    property variant values : []
    property int _nCells : 0;

    Column {
        anchors.fill: parent;

        Repeater {

            model: _nCells;
            Row {
                id: rowObj
                property int rowIndex : index;

                Repeater {
                    model: _nCells
                    Image {
                        width: score.width/_nCells
                        height: score.height/_nCells
                        fillMode: Image.PreserveAspectFit
                        smooth: true

                        source: settings.scoreImage + values[rowObj.rowIndex*_nCells+index] + ".png"
                        // visible: values[rowObj.rowIndex*_nCells+index]>0;
                    }
                }
            }
        }
    }

    onValuesChanged: {
        console.log("score values changed to " + values)
        _nCells = Math.sqrt(score.values.length);
        if ( _nCells*_nCells < values.length ) _nCells ++;
    }
}
