import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
    id: selector
    property int nCells : 1;

    border {
        width: 1
        color: "black"
    }

    gradient: Gradient {
        GradientStop { color: "black"; position: 0 }
        GradientStop { color: "gray"; position: .3 }
        GradientStop { color: "white"; position: .5 }
        GradientStop { color: "gray"; position: .7 }
        GradientStop { color: "black"; position: 1 }
    }

    Item {
        id: panel

        anchors {
            fill: parent;
            leftMargin: 10
            rightMargin: 10
        }

        Row {
            id: dials

            anchors.centerIn: parent;
            Repeater {
                model: nCells

                Dial {
                    id: dial
                    width: panel.width/nCells;
                    height: panel.height
                }
            }
        }
    }

    function getSelection() {
        var ret = new Array();
        for (var c=0; c<nCells; c++ ) {
            ret.push(dials.children[c].currentIndex);
        }
        return ret;
    }

    function reset() {
        for (var c=0; c<nCells; c++ ) {
            dials.children[c].currentIndex=0;
        }
    }
}
